Skip to main content
POST
/
api
/
v2
/
supersearch-enrichment
/
run
Run enrichment for resource
curl --request POST \
  --url https://api.instantly.ai/api/v2/supersearch-enrichment/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource_id": "123e4567-e89b-12d3-a456-426614174000"
}
'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "resource_id": "123e4567-e89b-12d3-a456-426614174000",
  "enrichment_payload": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
resource_id
string<uuid>
required

The ID of the resource (list or campaign) to run enrichments for

Example:

"123e4567-e89b-12d3-a456-426614174000"

lead_ids
string[]

List of lead IDs to enrich (optional)

Required array length: 1 - 10000 elements
limit
integer

If set, only the first N leads will be enriched

Example:

10

column_name
string

AI enrichment column to run.

Example:

"email_subject"

overwrite
boolean

(AI re-run parameter) If true, run even if column has value. If false (default), only process empty/null columns. Requires column_name.

Example:

false

starting_row
integer

(AI re-run parameter) Starting lead position (inclusive, 1-indexed). Defaults to 1 if not provided. Requires column_name.

Required range: x >= 1
Example:

1

count
integer

(AI re-run parameter) How many leads to process. If not provided, processes all remaining leads from starting_row to the end. Requires column_name.

Required range: x >= 1
Example:

10

Response

Default Response

id
string

The ID of the enrichment

Example:

"123e4567-e89b-12d3-a456-426614174000"

resource_id
string

The ID of the resource (list or campaign) to enrich

Example:

"123e4567-e89b-12d3-a456-426614174000"

enrichment_payload
object

The payload of the enrichment